{% macro chord_prompt(config) %}

<style>
    .main_div {
        background-color: white;
        padding: 30px;
    }
</style>

<script type = "text/javascript" src = "/static/scripts/Tone.js"></script>
<script type = "text/javascript" src = "/static/scripts/tonejs-ui.js"></script>
<script type = "text/javascript" src = "/static/scripts/synthesis.js"></script>

<script>

    var chords = [{
            "f0":JSON.parse("{{ config.chord.f0 }}"),
            "intervals":JSON.parse("{{ config.chord.intervals }}"),
            "synth":"{{ config.chord.synth }}",
            "parametrization":"{{ config.chord.parametrization }}",
            "shepardize":("{{ config.chord.shepardize }}" == "True"),
            "rolloff": none_helper("{{ config.chord.rolloff }}"),
            "custom_timbre": none_helper("{{ config.chord.custom_timbre }}")
        }]
        
    var active_nodes = additive_synth_setter(chords[0]["intervals"].length + 1, chords[0]["shepardize"])

    // chord = [JSON.parse("{{ config.chord }}")]; // works also for a list of chords

    window.onload = function() {

        setTimeout(function() {
            play_list(active_nodes,chords);
        }, 500);
        
        psynet.submit.wait_for("timer");
        setTimeout(
            ()=> psynet.submit.ready("timer"),
            1000 * JSON.parse("{{ config.chord.time_to_wait_in_sec }}"));
    }; 
    

</script>


{{ psynet_prompts.simple(config) }}

{% endmacro %}
